<head>
    <title>LSV - Timetable</title>
</head>

{% extends "base.html" %}
{% load static %}

{% block content %}
<div class="jumbotron" style="background-color:#d2ecff; padding: 2rem 2rem 4rem 2rem">
    <main>
        {% if current_week == 0 %}
            <h1>Reservation timetable for this Week.</h1>
        {% elif current_week == 1 %}
            <h1>Reservation timetable for next week.</h1>
        {% else %}
            <h1>Reservation timetable for next {{ current_week }} weeks.</h1>
        {% endif %}

        <div class="container">
            <table id="id-tab-timetable" class="display" style="width:100%">
                {# days of week #}
                <thead>
                <tr>
                    <th><img src="{% static 'favicon/favicon-32x32.png' %}" alt="logo_small_timetable"/></th>
                    {% for row in header %}
                        <th class="inside"> {{ row.name }} </th>
                    {% endfor %}
                </tr>
                </thead>
                {# hours of day #}
                <tbody>
                {% for hour in rows %}
                    <tr>
                        <td>{{ hour.hour }}</td>
                        {% for item in hour.days %}

                            {% if item.timetable %}
                                {% with dd=item.timetable.date|date:'Y-m-d' tt=item.timetable.start_time|time:'H:i' cc=item.capacity%}

                                    {% if item.capacity == item.timetable.capacity %}
                                    <td class="inside_full" id="timetable-cell-occupied" >
                                        <p class="table">Start: {{ item.timetable.start_time |time:'H:i' }}</p>
                                        <p class="table">End: {{ item.timetable.end_time|time:'H:i' }}</p>
                                        <p class="table">Occupied</p>
                                    </td>

                                    {% else %}
                                    <td class="inside" id="timetable-cell" data-link="{% url 'warehouse:reservation_create' dd  tt cc %}">
                                        <!-- <p> Date: {{ item.timetable.date |date:'d-m-Y' }}</p> -->
                                        <p class="table">Start: {{ item.timetable.start_time |time:'H:i' }}</p>
                                        <p class="table">End: {{ item.timetable.end_time|time:'H:i' }}</p>
                                        <p class="table">Cap.: {{ item.capacity }} / {{ item.timetable.capacity }}</p>
                                    </td>
                                    {% endif %}
                                {% endwith %}

                            {% else %}
                                <td class="inside_full"> <img  src="{% static 'images/logo_timetable.png' %}" alt="logo_timetable"/> </td>
                            {% endif %}
                        {% endfor %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>


        {% if current_week != 0 %}
            <a class="btn btn-primary"
               href="{% url 'warehouse:week_table' %}?week_number={{ prev_week }}">Back</a>
        {% endif %}

        {% if current_week < max_week %}
            <a class="btn btn-primary"
               href="{% url 'warehouse:week_table' %}?week_number={{ next_week }}"
               style="float: right">Next</a>
        {% else %}
            <a class="btn btn-primary"
               href="{% url 'warehouse:week_table' %}?week_number=0"
               style="float: right">Back to present week</a>
        {% endif %}
    </main>
</div>
{% endblock %}
